Subject: Re: bug#51247: 28.0.60; Insufficient documentation of tab-bar.el internal functions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Oct 2021 14:38:25 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 17 Oct 2021 22:48:37 +0300
> 
> >> Everything is right, except this sentence:
> >>
> >> > @@ -705,11 +705,14 @@ tab-bar-format
> >> > +Adding a function to the list causes the tab bar to show
> >> > +that string, or display a menu with those menu items when
> >> > +you click on the tab bar.
> >>
> >> Since menu items are used to display tabs, something like this
> >> would be more correct:
> >>
> >>   Adding a function to the list causes the tab bar to show
> >>   that string, or display tabs represented by menu items
> >>   on the tab bar.
> >
> > But that's not what I see.  What I see is a single tab called "Menu",
> > which, when clicked, shows the global menu.
> 
> The menu from the tab called "Menu" is displayed with 'popup-menu'.
> 
> > Or what do you mean by "tabs represented by menu items"?  How can a
> > tab be represented by a menu item?
> 
> Menu items are transformed to tab strings in parse_tab_bar_item.

Sorry, I'm still confused.  Again, checking this option:

>   [ ] tab-bar-format-menu-global
>           Show global menu on clicking the Menu button.

causes the tab bar to include a single tab called "Menu", and if I
click on that tab, I see the items from the global menu-bar.

In any case, I don't see the importance of the fine difference between
"menu items" and "menu items that represent tabs" in this case.
AFAIU, whatever menu is produced by that option is what's displayed on
the tab bar; the items in the menu are entirely up to the function
which produces the menu.  Isn't that right?